# BinaryBasePlugin

@Incubating
abstract class BinaryBasePlugin : Plugin<T>

Base plugin for binaries support. - Adds a BinarySpec container named `binaries` to the project. - Registers the base BinarySpec type. - For each BinarySpec, registers a lifecycle task to assemble that binary. - For each BinarySpec, adds the binary's source sets as its default inputs. - Links the tasks for each BinarySpec across to the tasks container.

## Constructors

BinaryBasePlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(target: Project)